Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j
Class Level

    java.lang.Object
      org.apache.logging.log4j.Level

All Implemented Interfaces:
  Serializable, Comparable<Level>

    public final class Level

extends Object
implements Comparable<Level>, Serializable

Levels used for identifying the severity of an event. Levels are organized from most specific to least:

- `OFF` (most specific, no logging)
- `FATAL` (most specific, little data)
- `ERROR`
- `WARN`
- `INFO`
- `DEBUG`
- `TRACE` (least specific, a lot of data)
- `ALL` (least specific, all data)

Typically, configuring a level in a filter or on a logger will cause logging events of that level and those that are more specific to pass through the filter. A special level, `ALL`, is guaranteed to capture all levels when used in logging configurations.

See Also:
  Serialized Form

Field Summary
`static Level` | `ALL` All events should be logged.
`static String` | `CATEGORY`
`static Level` | `DEBUG` A general debugging event.
`static Level` | `ERROR` An error in the application, possibly recoverable.
`static Level` | `FATAL` A severe error that will prevent the application from continuing.
`static Level` | `INFO` An event for informational purposes.
`static Level` | `OFF` No events will be logged.
`static Level` | `TRACE` A fine-grained debug message, typically capturing the flow through the application.
`static Level` | `WARN` An event that might possible lead to an error.

Method Summary
`Level` | `clone()`
`int` | `compareTo(Level other)`
`boolean` | `equals(Object other)`
`static Level` | `forName(String name, int intValue)` Retrieves an existing Level or creates on if it didn't previously exist.
`Class<Level>` | `getDeclaringClass()`
`static Level` | `getLevel(String name)` Return the Level associated with the name or null if the Level cannot be found.
`StandardLevel` | `getStandardLevel()` Gets the standard Level values as an enum.
`int` | `hashCode()`
`int` | `intLevel()` Gets the integral value of this Level.
`boolean` | `isLessSpecificThan(Level level)` Compares this level against the level passed as an argument and returns true if this level is the same or is less specific.T
`boolean` | `isMoreSpecificThan(Level level)` Compares this level against the level passed as an argument and returns true if this level is the same or is more specific.
`String` | `name()` Gets the symbolic name of this Level.
`protected Object` | `readResolve()`
`static Level` | `toLevel(String sArg)` Converts the string passed as argument to a level.
`static Level` | `toLevel(String name, Level defaultLevel)` Converts the string passed as argument to a level.
`String` | `toString()`
`static
`<T extends Enum<T>> T`
` | `valueOf(Class<T> enumType, String name)` Returns the enum constant of the specified enum type with the specified name.
`static Level` | `valueOf(String name)` Return the Level associated with the name.
`static Level[]` | `values()` Return an array of all the Levels that have been registered.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### OFF

    public static final Level OFF

  No events will be logged.

### FATAL

    public static final Level FATAL

  A severe error that will prevent the application from continuing.

### ERROR

    public static final Level ERROR

  An error in the application, possibly recoverable.

### WARN

    public static final Level WARN

  An event that might possible lead to an error.

### INFO

    public static final Level INFO

  An event for informational purposes.

### DEBUG

    public static final Level DEBUG

  A general debugging event.

### TRACE

    public static final Level TRACE

  A fine-grained debug message, typically capturing the flow through the application.

### ALL

    public static final Level ALL

  All events should be logged.

### CATEGORY

    public static final String CATEGORY

Since:
  2.1
See Also:
  Constant Field Values

Method Detail

### intLevel

    public int intLevel()

  Gets the integral value of this Level.

  Returns:
    the value of this Level.

### getStandardLevel

    public StandardLevel getStandardLevel()

  Gets the standard Level values as an enum.

  Returns:
    an enum of the standard Levels.

### isLessSpecificThan

    public boolean isLessSpecificThan(Level level)

  Compares this level against the level passed as an argument and returns true if this level is the same or is less specific.T

  Parameters:
    `level` - The level to test.
  Returns:
    True if this level Level is less specific or the same as the given Level.

### isMoreSpecificThan

    public boolean isMoreSpecificThan(Level level)

  Compares this level against the level passed as an argument and returns true if this level is the same or is more specific.

  Parameters:
    `level` - The level to test.
  Returns:
    True if this level Level is more specific or the same as the given Level.

### clone

    public Level clone()
                throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

### compareTo

    public int compareTo(Level other)

  Specified by:
    `compareTo` in interface `Comparable<Level>`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### getDeclaringClass

    public Class<Level> getDeclaringClass()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### name

    public String name()

  Gets the symbolic name of this Level. Equivalent to calling `toString()`.

  Returns:
    the name of this Level.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### forName

    public static Level forName(String name,
                                int intValue)

  Retrieves an existing Level or creates on if it didn't previously exist.

  Parameters:
    `name` - The name of the level.
    `intValue` - The integer value for the Level. If the level was previously created this value is ignored.
  Returns:
    The Level.
  Throws:
    `IllegalArgumentException` - if the name is null or intValue is less than zero.

### getLevel

    public static Level getLevel(String name)

  Return the Level associated with the name or null if the Level cannot be found.

  Parameters:
    `name` - The name of the Level.
  Returns:
    The Level or null.

### toLevel

    public static Level toLevel(String sArg)

  Converts the string passed as argument to a level. If the conversion fails, then this method returns `DEBUG`.

  Parameters:
    `sArg` - The name of the desired Level.
  Returns:
    The Level associated with the String.

### toLevel

    public static Level toLevel(String name,
                                Level defaultLevel)

  Converts the string passed as argument to a level. If the conversion fails, then this method returns the value of `defaultLevel`.

  Parameters:
    `name` - The name of the desired Level.
    `defaultLevel` - The Level to use if the String is invalid.
  Returns:
    The Level associated with the String.

### values

    public static Level[] values()

  Return an array of all the Levels that have been registered.

  Returns:
    An array of Levels.

### valueOf

    public static Level valueOf(String name)

  Return the Level associated with the name.

  Parameters:
    `name` - The name of the Level to return.
  Returns:
    The Level.
  Throws:
    `NullPointerException` - if the Level name is `null`.
    `IllegalArgumentException` - if the Level name is not registered.

### valueOf

    public static <T extends Enum<T>> T valueOf(Class<T> enumType,
                                                String name)

  Returns the enum constant of the specified enum type with the specified name. The name must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Type Parameters:
    `T` - The enum type whose constant is to be returned
  Parameters:
    `enumType` - the `Class` object of the enum type from which to return a constant
    `name` - the name of the constant to return
  Returns:
    the enum constant of the specified enum type with the specified name
  Throws:
    `IllegalArgumentException` - if the specified enum type has no constant with the specified name, or the specified class object does not represent an enum type
    `NullPointerException` - if `enumType` or `name` are `null`
  See Also:
    `Enum.valueOf(Class, String)`

### readResolve

    protected Object readResolve()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.